<mat-accordion>
  <mat-expansion-panel>
    <mat-expansion-panel-header>
      <h2>Add a new game</h2>
    </mat-expansion-panel-header>
    <div class="example-container">
      <mat-form-field>
        <input matInput placeholder="Player one" [(ngModel)]="player1">
      </mat-form-field>

      <mat-form-field>
        <input matInput placeholder="Player two" [(ngModel)]="player2">
      </mat-form-field>

      <mat-form-field>
        <input matInput placeholder="Score player one" [(ngModel)]="score1">
      </mat-form-field>

      <mat-form-field>
        <input matInput placeholder="Score player two" [(ngModel)]="score2">
      </mat-form-field>

      <mat-form-field>
        <input matInput [matDatepicker]="picker3" placeholder="Game date" [formControl]="date">
        <mat-datepicker-toggle matSuffix [for]="picker3"></mat-datepicker-toggle>
        <mat-datepicker #picker3></mat-datepicker>
      </mat-form-field>

      <button mat-raised-button color="primary" (click)="onSave()">Save</button>

    </div>
  </mat-expansion-panel>
</mat-accordion>